### Method

# Adw SidebarItem set_drag_motion_activate

since: 1.9

#### Declaration [src]

    void
    adw_sidebar_item_set_drag_motion_activate (
      AdwSidebarItem* self,
      gboolean drag_motion_activate
    )

#### Description [src]

Sets whether to activate `self` on pointer motion during Drag-and-Drop.

This is needed to be able to drag content into the page the item represents, when the sidebar is used as a page switcher. However, it may be unwanted when dropping content onto the item itself, so it can be disabled.

Available since: 1.9

Sets property | `Adw.SidebarItem:drag-motion-activate`

#### Parameters

`drag_motion_activate`

  Type: `gboolean`

  Whether to enable the item on drag motion.